/* Generated with AuthorIT version 4.5.610  05.07.2007 15:09:27 */
Page=new Array();
Page[0]=new Array("ISBN: N/A&nbsp;","Parallels.&nbsp;","13755 Sunrise Valley Drive&nbsp;","Suite 325&nbsp;","Herndon&nbsp;","VA 20171 USA&nbsp;","Phone: +1 (703) 815 5670&nbsp;","Fax: +1 (703) 815 5675&nbsp;","&nbsp;","© Copyright 1999-2007,&nbsp;","Parallels.&nbsp;","All rights reserved&nbsp;","&nbsp;","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.&nbsp;","&nbsp;","Patented hosting technology protected by U.S.Patents 7,099,948; 7,076,633.&nbsp;","Patents pending in the U.S.","Linux is a registered trademark of Linus Torvalds.","ASPLinux and the ASPLinux logo are registered trademarks of Parallels.","RedHat is a registered trademark of Red Hat Software, Inc.","Solaris is a registered trademark of Sun Microsystems, Inc.","X Window System is a registered trademark of X Consortium, Inc.","UNIX is a registered trademark of The Open Group.","Intel, Pentium, and Celeron are registered trademarks of Intel Corporation.","MS Windows, Windows 2003 Server, Windows XP, Windows 2000, Windows NT, Windows 98, and Windows 95 are registered trademarks of Microsoft Corporation.","IBM DB2 is a registered trademark of International Business Machines Corp.","SSH and Secure Shell are trademarks of SSH Communications Security, Inc.","MegaRAID is a registered trademark of American Megatrends, Inc.","PowerEdge is a trademark of Dell Computer Corporation.","Request Tracker is a trademark of Best Practical Solutions, LLC","All other trademarks and copyrights referred to are the property of their respective owners.","Copyright Notice",
"13730.htm");
Page[1]=new Array("This document is a guide to creating and installing skins - custom interface appearance styles - for Plesk.","About This Guide",
"38605.htm");
Page[2]=new Array("The primary audience for this guidance are web-designers and developers, who want to create new Plesk appearances. The reader should have a strong knowledge of Cascading Style Sheets (CSS) and Hypertext Markup Language (HTML).","Who Should Read This Guide",
"38606.htm");
Page[3]=new Array("The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the QoS tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of style sheet selectors, files and directories, and CSS fragments. ","The license file is located in the httpdocs/common/license directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls –al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","Typographical Conventions",
"39586.htm");
Page[4]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback",
"39588.htm");
Page[5]=new Array("This document is a guide to creating and installing skins - custom interface appearance styles - for Plesk. Here you can find the structure of skin directories as well as their contents description, instructions on how to create your own custom skin and how to install it and apply to your interface.","Introduction",
"4729.htm");
Page[6]=new Array("In Plesk, a skin is a set of CSS and image files. CSS files define the style of Plesk interface elements; image files are Plesk interface icons, logotype images and other pictures, used in CSS files. All these files, placed in corresponding sub-directories, compose the structure of the skin directory.","Skins are an easy and flexible way to diversify your Plesk user interface appearance. Using skins you can change the colors of the interface elements, set new fonts properties, use different images for icons in the interface, etc.","It takes only a few clicks to replace one skin with another. Different skins can be used by different users on one server.","What Is Skin?",
"4732.htm");
Page[7]=new Array("The Plesk user interface can logically be split into three parts: top frame, navigation pane and main screen.","top frame contains the logotype and copyright info","navigation pane contains navigation items and context help area ","main screen contains the groups of available operations (based on the current context), input forms, lists, wizards and other similar interface elements","Each such area allows individual customization of appearance within a skin.","Areas of User Interface",
"4733.htm");
Page[8]=new Array("Style Sheets","custom.css and layout.css","Each interface area has two corresponding CSS files describing its appearance:","custom.css contains selectors for visual properties (color, font, etc.) of user interface elements ","layout.css contains selectors that define the layout of user interface elements","The option of modifying the layout.css file is recommended only for the advanced CSS designers.","buttons.css","defines the appearance of certain buttons in user interface. For example, in the XP-skins it defines what images are used for the icons in the Tools groups.","This file is optional if the appearance of multiple buttons is not redefined in the skin. The buttons.css file was separated from main/custom.css only to simplify customization.","general.css","contains style settings common for all interface elements. The style specified here will be applied when displaying an interface element unless it was specifically redefined for the corresponding area of user interface.","tabs.css","contains style settings, which define appearance of tab elements.","info.xml","displays the information on skin (by accessing the Skin Properties page in Plesk), such as author's name, creation date, screenshots and descriptions. This information is stored in the info.xml file, which is located in the skin directory. The thumbnails and screenshots are stored in the screenshots/ directory.","desktop.css","contains style settings for elements located at the Desktop page.","wizard.css","contains style settings for Plesk Wizard pages.","ie.css","contains style settings that are used for displaying screens correctly in Internet Explorer.","Images","Image files are stored in three directories:","icons/ contains icon files required for user interface (state/status icons, list operations, etc.).","images/ contains image files used with the specific skin for customizing elements, set of these can be different for different skins. Links to these images are provided in the CSS files.","screenshots/ contains control panel screenshots and thumbnails.","Files That Compose Skin",
"4734.htm");
Page[9]=new Array("Skins are located at $plesk_root_dir$/admin/htdocs/skins (where $plesk_root_dir$ is a root Plesk installation directory: /opt/psa/ in Debian-based systems, and /usr/local/psa for other Unix/Linux systems).","The structure of a skin directory:","• custom_skin/ - a custom skin directory","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• css/","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• top/","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• custom.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• layout.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• left/","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• custom.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• layout.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• main/","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• buttons.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• custom.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• desktop.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• layout.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• tabs.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• wizard.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• general.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• ie.css","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• icons/ - all of the Plesk interface icons","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• images/ - all image files, referenced in the CSS files","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• screenshots/ - screenshots and thumbnails, referenced in a skin description file","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;• info.xml - the file that stores a skin description","Structure of Skin Directory",
"4735.htm");
Page[10]=new Array("This chapter provides instructions on how to compose a new skin and prepare a skin package for uploading to the control panel.","First, create the skin directory's structure along with all its files.","Next, customize visual appearance of user interface elements by editing selectors in the corresponding CSS files of the skin.","Finally, prepare a skin package.","Creating Skin",
"4730.htm");
Page[11]=new Array("To create a skin directory, you need to create the structure of directories along with the corresponding CSS files as described in the Structure Of Skin Directory section. When this task is complete, you can proceed to editing style properties.","Use one of the existing skins as a template for your own custom skin to speed up the process of customization.","Create your future skin directory (e.g. my_skin):","# mkdir ~/my_skin","Copy one of the default skins to this directory:","# cp -r /usr/local/psa/admin/htdocs/skins/winxp.blue/* ~/my_skin","Note: The directory where all skins are located differs depending on operating system.","At this point you will have the complete skin directory structure with CSS and image files of skin winxp.blue in your skin directory (~/my_skin/).","The skin template is ready to be used. Now you can edit the CSS files and create your unique style of Plesk user interface appearance.","Creating Skin Directory",
"4736.htm");
Page[12]=new Array("Every element in user interface can be customized by changing selectors in the appropriate CSS files of the skin. This section defines elements and sub-areas of top frame, main screen and navigation pane. For info on the areas, refer to the Areas of User Interface section.","Here, you can also find examples of customization. ","&nbsp;","&nbsp;","&nbsp;","&nbsp;","&nbsp;","Customizing Elements",
"4737.htm");
Page[13]=new Array("File general.css contains style properties common for all interface elements.","Customization samples","UI Element","Selector","CSS code sample","Common background","Fonts","body, td, th","body {"," font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;"," font-size: 11px;"," font-weight: normal;"," color: #000000;"," background-color: #f6f6f6; ","}","td, th {"," font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;"," font-size: 11px;","}","Form elements","input, select, textarea","input, select, textarea { "," font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif; "," font-size: 11px; ","}","Links","a","a:link, ","a:visited,","a:hover {","  color: #0240a3;","}","&nbsp;","Note: These properties can be redefined for specific elements.","&nbsp;","General Style Properties",
"4808.htm");
Page[14]=new Array("The following top frame elements can be customized:","Logotype image","Background","Frame separator line","Copyright info, text banner, and Log out link","Background image","Customization samples","UI Element","Selector","CSS code sample","Logotype image","Image can be set through the user's interface, but the default image is contained in the skin (images/def_plesk_logo.gif)","-------","Background","Frame separator line","body","body {"," background-color: #ffffff;"," background-image: url(../../images/top_bg.jpg);"," background-repeat: repeat-x;"," background-position: left bottom;","}","Copyright info, text banner, and Log out link","#topCopyright","#topTxtBanner","#topLogout","#topCopyright a:link,","#topCopyright a:active,","#topCopyright a:visited {","text-decoration: none;","font-size: 11px;","color: #d6e0ff;","}","Background image",".body",".body {","background-image: url(../../images/top_body_bg.jpg);","background-repeat: no-repeat;","background-position: top right;","}","Top Frame Elements",
"4830.htm");
Page[15]=new Array("The following navigation pane elements can be customized:","Background","Section header background ","Section area","Section header","Selected section item ","Expand/collapse button","Section item","Context help","Bottom section ","&nbsp;","&nbsp;","&nbsp;","Customization samples","UI Element","Selector","CSS code sample","Background","body","body {"," background-color: #6e89dd;","}","Section header background",".navOpened",".navClosed",".navOpened,.navClosed {"," background-color: #ffffff;","}","Section area",".tree",".tree {","background-color: #d6dff7;","}","Section header",".navOpened .navTitle .titleText",".navClosed .navTitle .titleText",".navOpened .navTitle .titleText,",".navClosed .navTitle .titleText {"," color: #215dc6;","}","Section header (mouse over)",".navOpened .navTitleOver .titleText",".navClosed .navTitleOver .titleText",".navOpened .navTitleOver .titleText, .navClosed .navTitleOver .titleText {","color: #428eff;","}","Selected item",".nodeActive .name",".navTitleOver .titleHandle {"," background-color: #428eff;","}","Section area",".tree",".tree {"," background-color: #d6dff7;","}","Selected section item",".nodeActive .name",".nodeActive .name {","background-color: #3878bf;","}",".nodeActive .name a:link,",".nodeActive .name a:hover,",".nodeActive .name a:visited,",".nodeActive .name a:active ","{","color: white;","}","Expand/collapse button",".navTitle .titleHandle",".navTitle .titleHandle {"," background-color: #215dc6;"," }"," ",".nodeActive .name a:link,",".nodeActive .name a:hover,",".nodeActive .name a:visited,",".nodeActive .name a:active {"," color: white;","}","Expand/collapse button (mouse over)",".navTitleOver .titleHandle",".navTitleOver .titleHandle {"," background-color: #428eff;","}","Section item",".name ",".name a:link, .name a:visited, .name a: active {","color: #215dc6;","}",".name a:hover {","color: #428eff;","}","Context help","#contexthelp","#contexthelp {","color: #555555;","border-top: 1px solid #a7b8eb","}","Bottom section","#poweredBy","#copyright","Logotype image is presented by the following file (images/parallels-small-logo.gif)","#poweredBy a:link,","#poweredBy aLvisited,","#copyright a:link,","#copyright a:visited {","text-decoration: none;","font-size: 10 px;","color: #bcc9f0;","white-space: nowrap;","}","Navigation Pane Elements",
"4831.htm");
Page[16]=new Array("The main screen consists of two smaller parts:","Screen title. The title of the currently displayed screen.","Screen content. The currently available (visible) operations.<br>It consists of the following sub-areas:","Tools","Lists","Dialog forms","Tabs","Desktop","Wizards","Main Screen Elements",
"4837.htm");
Page[17]=new Array("The following screen title elements can be customized:","Path bar","Title","Title area links","Customization samples","UI Element","Selector","CSS code sample","Path bar",".pathbar",".pathbar { background: #ffffff;"," color: #444444; }",".pathbar a:link, .pathbar a:visited, .pathbar a:hover {"," color: #444444; }","Title",".screenTitle",".pathbar a:link, .pathbar a:visited,",".pathbar a:hover {"," color: #444444; }","Title area links",".uplevel .commonButton span","Icons can be changed using the following ID's in buttons.css:","#bid-up-level","#bid-favorite-add","#bid-shortcut-add","#bid-desktop-customize",".uplevel .commonButton span {"," text-decoration: underline; }","in buttons.css:","#bid-up-level span {"," background-image: url(../../images/btn_uplevel_bg.gif);","}","&nbsp;","Screen Title Elements",
"4837.htm#o38028");
Page[18]=new Array("The screen content consists of the following sub-areas:","Tools","Lists","Dialog forms","Tabs","Desktop","Wizards","The following elements are common for all sub-areas of the screen content:","Frame title ","Frame border","Background","Customization samples","UI Element","Selector","CSS code sample","Frame title","body","body {"," background: #F9F8F8;","}","Frame border","fieldset","fieldset {","}","Presently not available, using default value.","Background","legend","legend {"," color: #0046D5;","}","&nbsp;","Screen Content Elements",
"4837.htm#o38029");
Page[19]=new Array("This sub-area is comprised of shortcuts to the operations that you can perform through the control panel. The following elements of the sub-area can be customized:","Tool","Tool (disabled)","Separator line","Customization samples","UI Element","Selector","CSS code sample","Tool",".toolsArea .commonButton","Icons are customized through ID's (e.g. #bid-report) in buttons.css ",".toolsArea .commonButton {"," text-decoration: underline;","}","in buttons.css:","#bid-report {"," background-image: url(../../images/btn_report_bg.gif);","}","Tool (disabled)",".toolsArea span.commonButton","Icons are customized through ID's (e.g. #bid-register-disabled) in buttons.css ",".toolsArea span.commonButton {"," color: #999999;"," text-decoration: none;","}","in buttons.css:","#bid-register-disabled {"," background-image: url(../../images/btn_register-disabled_bg.gif);","}","Separator line","hr","hr {"," color: #cccccc;"," background-color: #cccccc;"," height: 1px;","}","Tools",
"38030.htm");
Page[20]=new Array("This sub-area consists of a set of items that belong to a particular category. The following elements of the sub-area can be customized:","Operations on lists","List header","List sorted by selected parameter","List rows","Customization samples","UI Element","Selector","CSS code sample","Operations on lists",".buttons .commonButton span","Icons are customized through ID's (e.g. #bid-show-all) in buttons.css",".buttons .commonButton span {"," text-decoration: underline;","}","in buttons.css:","#bid-show-all span {"," background-image: url(../../images/btn_show-all_bg.gif);","}","List header","th","th {"," text-align: left;"," background: #D6DFF7;"," border-right: 1px solid #ffffff;"," border-bottom: 1px solid #ffffff;","}","th a:link, ","th a:visited {"," color: #000000;"," text-decoration: none;","}","th a:hover {"," text-decoration: underline;","}","List sorted by selected parameter",".sort",".sort {"," background-color: #ABBEEF; ","}","List rows",".oddrowbg - for odd rows",".evenrowbg - for even rows",".evenrowbg {"," background-color: #F0F0F0; ","}    ",".oddrowbg {"," background-color: #f0f0f0;","}","Lists",
"38031.htm");
Page[21]=new Array("This sub-area consists of form elements to be filled by users. The following elements of the sub-area can be customized:","Parameter name","'Required' indicator","Footnote","Button","Customization samples","UI Element","Selector","CSS code sample","Parameter name",".name",".name {"," font-weight: bold;"," color: #555555;","}","'Required' indicator",".required",".required {"," color: #cc0000;","}","Footnote",".footnote",".footnote {"," color: #666666;","}","Button",".commonButton",".buttons .commonButton span","Icons are customized through ID's (e.g. #bid-ok) in buttons.css",".commonButton button {"," font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;"," font-size: 11px;"," color: #000000;"," background-color: transparent;"," background-image: url(../../images/btn_bg.gif);"," border: 0 solid white;"," background-repeat: no-repeat;","}","in buttons.css:","#bid-ok button {"," background-image: url(../../images/btn_ok_bg.gif);"," padding-left: 8px;","}","Dialog Forms",
"38032.htm");
Page[22]=new Array("This sub-area groups properties of certain Plesk objects. The following elements of the sub-area can be customized:","Tab item","Active tab","Last tab","Tabs panel","&nbsp;","Customization samples","UI Element","Selector","CSS code sample","Tab item","#tabs a, #tabs li","#tabs a {","display: block;","background:url(&quot;../../icons/tabs/right.gif&quot;) no-repeat right top;","padding:5px 9px 4px 4px;","vertical-align: baseline;","text-decoration: none;","color: #000000;","}","#tabs li {","float:left;","background:url(&quot;../../icons/tabs/left.gif&quot;) no-repeat left top;","margin:0;","padding:0 0 0 2px;","border-bottom: solid 1px #776655;","}","Active tab","#tabs","#current","#tabs #current {","border-width: 0;","}","#tabs #current {","background-image:url(&quot;../../icons/tabs/left_on.gif&quot;);","margin-left: -3px;","}","#tabs #current a {","background-image:url(&quot;../../icons/tabs/right_on.gif&quot;);","padding:3px 9px 7px 6px;","vertical-align: baseline;","}","Last tab","#tabs .last","#tabs .last a {","background-image:url(&quot;../../icons/tabs/right_last.gif&quot;);","}","Tabs panel","#screenTabs, #tabs, #tabs ul","#screenTabs {","float:left;","width: 100%;","min-height: 1px;","height: 1px;","background:#ffffff url(&quot;../../icons/tabs/bg.gif&quot;) repeat-x bottom;","}","td &gt; #screenTabs { ","height: auto;","}","#tabs {","float:left;","width:600px;","line-height:normal;","white-space: nowrap;","background:#ffffff url(&quot;../../icons/tabs/bg.gif&quot;) repeat-x bottom;","}","#tabs ul {","margin:0;","padding: 0px 10px 10px 10px;","list-style:none;","}","Tabs",
"38033.htm");
Page[23]=new Array("This sub-area displays server statistics and shortcuts to the operations a user frequently performs. It consists of the following blocks:","Information block. It includes server information, favorites, and statistics sections in the standard view.","Tools block. This group shows shortcuts to the operations that can be performed through the control panel.","Plesk news block. It familiarizes you with new Plesk features.","Desktop",
"38218.htm");
Page[24]=new Array("The following elements of the sub-area can be customized:","Header","Title","Content","Footer","Footer link","Customization samples","UI Element","Selector","CSS code sample","Header","Title",".dBoxHeaderArea",".dBoxHeaderLayout",".dBoxheaderArea .main",".dBoxHeaderArea .main {","font-family: Tahoma, Arial, Helvetica, sans-serif;","font-size: 11px;","color: #ffffff;","font-weight: bold;","}","Content",".dBoxContent","Style of left column text can be customized using the selector .name in custom.css.",".bBoxContent {","border-left: solid 1px #6f8add;","border-right: solid 1px #6f8add;","padding: 10px;","background-color: #ffffff;","}","&nbsp;","In custom.css:",".name {","color: #444444;","}","Footer",".dBoxFooterLayout",".dBoxFooterArea",".dBoxFooterLayout {","height: 27px;","overflow: hidden;","border-left: solid 1 px #6f8add;","border-right: solid 1 px #6f8add;","border-bottom: solid 1 px #6f8add;","}",".dBoxFooterArea {","background: transparent url('../../images/dBox-footer-bg.gif') repeat-x;","height: 27px;","overflow: hidden;","}","Footer link","Icon can be customized using the selector .dBoxFooterLayout and ID's in buttons.css (#bid-server-preferences).","In buttons.css:",".dBoxFooterLayOut #bid-server-preferences span {","background-image: url('../../images/nav_server.gif')","}","Information block",
"38423.htm");
Page[25]=new Array("The following elements of the sub-area can be customized:","Task title","Task description","Additional links","Task image","Customization samples","UI Element","Selector","CSS code sample","Task title",".taskTitle",".taskTitle {","font-weight: bold;","}","Task description",".taskDesc",".taskDesc {","}","Additional links",".taskLink",".taskLink a {","display: block;","padding-left: 10px;","background-image:","url('../../icons/taskLink-bg.gif');","background-repeat: no-repeat;","background-position: 0 3px;","}",".taskLink a, .taskLink a:visited {","color: #376096;","text-decoration: underline;","}","Task image","Default image for task is defined in .taskBox (images/btn_default-button_bg.gif)",".taskBox {","background-repeat: no-repeat;","background-image:","url ('../../images/btn_default-button_bg.gif');","}","Custom image for a task can be defined using ID in buttons.css.","#bid-mail-name-add{","background-image:","url('../../images/btn_mail-name-add_bg.gif');","}","Tools Block",
"38221.htm");
Page[26]=new Array("The following elements of the sub-area can be customized:","Header of news set","News title","News layout","Additional link","Customization samples","UI Element","Selector","CSS code sample","Header of news set",".newsHeader",".newsHeader .main",".newHeader .main {","color: #000000;","padding 0 10px;","fpnt-weight: bold;","}","News title",".newsTitle",".newsTitle {","color: #f60;","margin: 4px 0;","font-weight: bold;","text-transform: uppercase;","}","News layout",".newsBlockLayout",".newsBlock",".newsBlockLayout {","vertical-align: top;","border-top: solid 1px #eecd36;","border-bottom: solid 1px #eecd36;","background-position: right bottom;","background-repeat: no repeat;","background-color: #fff;","}","Additional link",".newsLinks",".newsLinks {","margin-top: 4px;","}","Plesk News Block",
"38224.htm");
Page[27]=new Array("This sub-area joins several forms together continuously under the same title. The following elements of the sub-area can be customized:","Wizard title","Current screen title","Current screen description","UI Element","Selector","CSS code sample","Wizard title",".wizardTitle","Icon can be customized using ID (#bid-new-client) in buttons.css.",".wizardTitle {","font-size: 18px;","font-family: Arial, Verdana;","color: #203597;","background-repeat: no-repeat;","background-color: #e3eaf9;","background-position: 10px 4px;","border-bottom: 1px solid #6e89dd;","padding: 10px 50px;","}","in buttons.css:","#bid-new-client {"," background-image: url('../../images/btn_new-client_bg.gif');","}","Current screen title",".screenTitle",".screenTitle td {","font-size: 14px;","font-family: Tahoma, Verdana;","font-width: bold;","color: #000000;","padding-top: 12px;","}","Current screen description",".screenSubTitle",".screenSubTitle {","padding-left: 10px;","padding-bottom: 10px;","background-color: #ffffff","}","Wizards",
"38227.htm");
Page[28]=new Array("Once you are done with preparing CSS and image files, you can create a description file for your skin. You can choose to edit the file you copied from a standard Plesk skin, or create a new info.xml file.","Following is the source code that you can use for your description file:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;!DOCTYPE PLESKSKIN SYSTEM &quot;pleskskin.dtd&quot;&gt;","&lt;PLESKSKIN&gt;"," &lt;INFO&gt;","  &lt;PLESKVERSION&gt;7.1.x&lt;/PLESKVERSION&gt;","   &lt;VERSION&gt;1.0.0&lt;/VERSION&gt;","	&lt;DATE&gt;2004-08-05&lt;/DATE&gt;","	 &lt;NAME&gt;","	  &lt;LOCALESTRING language=&quot;en&quot;&gt;Your skin name&lt;/LOCALESTRING&gt;","	 &lt;/NAME&gt;","	 &lt;DESCRIPTION&gt;","	  &lt;LOCALESTRING language=&quot;en&quot;&gt;Your skin description here&lt;/LOCALESTRING&gt;","	 &lt;/DESCRIPTION&gt;","    &lt;AUTHOR&gt;Your name here&lt;/AUTHOR&gt;"," &lt;/INFO&gt;","   &lt;SCREENSHOTS&gt;","	&lt;SCREENSHOT&gt;","	  &lt;NAME&gt;","	    &lt;LOCALESTRING language=&quot;en&quot;&gt; Screen title, e.g. Server Administration page &lt;/LOCALESTRING&gt;","	  &lt;/NAME&gt;","	  &lt;DESCRIPTION&gt;","	   &lt;LOCALESTRING language=&quot;en&quot;&gt;This is how the control panel's server management","section looks like with my skin&lt;/LOCALESTRING&gt;","	  &lt;/DESCRIPTION&gt;","	    &lt;SRC&gt;screenshots/screenshot1.gif&lt;/SRC&gt;","	    &lt;THUMB&gt;screenshots/screenshot1_thumb.gif&lt;/THUMB&gt;","	&lt;/SCREENSHOT&gt;","   &lt;/SCREENSHOTS&gt;","&lt;/PLESKSKIN&gt;","Be sure to place your screenshots and thumbnails to the screenshots/ directory of the skin. You can include as many screenshots as you wish.","Note: Inside each NAME or DESCRIPTION element you can have several entries in different languages. This can be useful, for instance, when the Administrator's control panel language is set to German. The corresponding entries in German will be displayed, if supplied. ","To add an entry in German, use the LOCALESTRING element with attribute language=&quot;de&quot;:","&lt;DESCRIPTION&gt;","	&lt;LOCALESTRING language=&quot;en&quot;&gt;Your control panel skin description here&lt;/LOCALESTRING&gt;","	&lt;LOCALESTRING language=&quot;de&quot;&gt;Dies ist die Beschreibung Ihres Control Panel Skins&lt;/LOCALESTRING&gt;","&lt;/DESCRIPTION&gt;","Skin Description",
"4840.htm");
Page[29]=new Array("Once the skin contents are prepared, you need to create a skin package to install your skin into the control panel. Use your favorite archiver to pack all files and directories that compose a custom skin in a zip or tar.gz archive, and then simply upload the created archive file to Plesk repository. You can also create a RPM or DEB skin package.","Preparing Skin Package for Uploading To Control Panel",
"4738.htm");
Page[30]=new Array("RPM Package Manager (originally Red Hat Package Manager, abbreviated RPM) is a package management system. RPM was intended primarily for Linux distributions; the file format RPM is the baseline package format of the Linux Standard Base. ","This section contains instructions on how to make an RPM skin package.","Creating RPM Package",
"38245.htm");
Page[31]=new Array("The first thing you need to do is to create a temporary build directory. It can be located anywhere on your hard disk, say /tmp/my_skin/ for example:","# mkdir /tmp/my_skin ","Creating a Temporary Build Directory",
"4814.htm");
Page[32]=new Array("The RPM spec (specification) file contains data required for building the RPM package. Below is a sample spec file you should save to the temporary directory and edit if needed.","# name of your skin to be called in CP","# quote it by the &quot;shell&quot; rules if it contains spaces or special #characters","%define skinname 'My Skin'","# directory where to place your skin","# you may use any sequence of alphanumeric characters and underscores","%define skindir my_skin","# path where files of your skin is located","%define source /tmp/my_skin","Name: MySkin","Version: 0.0.1","Release: 1","License: BSD","Group: Applications/Internet","Summary: Example spec for Plesk","# END of customizable part","# you can leave the following unchanged in most cases","Buildroot: /var/tmp/build-%{name}-%{version}","Provides: plesk-skin ","Requires: psa &gt;= 7.1","%define pleskdir /usr/local/psa/admin","%define pleskskins %{pleskdir}/htdocs/skins","%install","rm -rf $RPM_BUILD_ROOT%{pleskskins}/%{skindir}","mkdir -p $RPM_BUILD_ROOT%{pleskskins}","umask 022","cp -r %{source} $RPM_BUILD_ROOT%{pleskskins}/%{skindir}","%clean","test $RPM_BUILD_ROOT != /","rm -rf $RPM_BUILD_ROOT%{pleskskins}/%{skindir}","%description","This is a sample skin for Plesk 7.1.","%pre","%{pleskdir}/sbin/skinmng --test-install-directory --installdir=%{skindir}","%post","%{pleskdir}/sbin/skinmng --register --installdir=%{skindir} --name=%{skinname}","%preun","%{pleskdir}/sbin/skinmng --remove --installdir=%{skindir} --leave-files","%files","%defattr(-,root,root)","%{pleskskins}/%{skindir}/","&nbsp;","&nbsp;","&nbsp;","In this sample file:","Name: the skin package name","Version: is the version number of the skin","Release: is the release number of the skin","License: license type can be GPL, Freeware, Commercial, or other common type","Creating RPM Spec File",
"4815.htm");
Page[33]=new Array("Once you have the temporary build directory with the skin files and the spec file complete, you are ready to build the RPM skin package.","Note: You must have the power user privileges to perform this operation.","Execute the following command:","# rpmbuild -bb SKIN.spec","Replace SKIN.spec with the name of your custom skin spec file described in the previous section.","Once the process of building the RPM package is complete, you will find the package (in our example it will be MySkin-0.0.1-1.noarch.rpm) in the following directory: /usr/src/redhat/RPMS/i386.","Building RPM Package",
"4816.htm");
Page[34]=new Array("DEB is the extension of the Debian software package format. ","This section contains instructions on how to make a DEB skin package. For more info on DEB packages, refer to Debian Policy Manual and Debian Packaging Manual.","Creating DEB Package",
"38246.htm");
Page[35]=new Array("First, create a temporary build directory. It can be located anywhere on your hard disk, say, /tmp/my_skin/:","# mkdir /tmp/my_skin","&nbsp;","Then, you need to create the following folders tree:","• my_skin/ - a temporary folder "," •DEBIAN/ - all control files will be located here","&nbsp;• opt/","&nbsp;&nbsp;&nbsp;•psa/","&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;•admin/","&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;•htdocs/","&nbsp;  &nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;•skins/","&nbsp;  &nbsp;  &nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;•my_skin/ - this folder should contain all files of your custom skin","Creating Package Structure",
"38247.htm");
Page[36]=new Array("After you are done with the package structure, you need to create three control files in the DEBIAN directory.","&nbsp;","Creating Control Files",
"38251.htm");
Page[37]=new Array("The DEB control file contains data required for building the package. Below is a sample of control file you should save to the DEBIAN directory and edit if needed.","&nbsp;","Package: my_skin","Version: 1.0.0-1","Section: non-free/web","Priority: extra","Depends: psa (&gt;= 8.1.0)","Architecture: all","Maintainer: yourmail@domain.tld","Provides: plesk-skin","Description: Skin for Plesk"," This is skin for Plesk"," In this sample file:","Package: the skin package name","Version: is the version number of the skin","Section: is a general field that gives the package a category based on the software that it installs","Priority: sets the importance of this package in relation to the system as a whole","Architecture: specifies which type of hardware this package was compiled for","Maintainer: this field should be your full name (or company name) and an e-mail address contained within angle brackets","Provides: is a list of virtual packages that this one provides","Description: starts with a short brief summary on the first line, and can be extended providing more detailed description. Each line of the long description must be preceded by a space, and blank lines in the long desription must contain a single '.' following the preceding space.","&nbsp;","control",
"38251.htm#o38272");
Page[38]=new Array("This file is executable script which is automatically run after a package is installed. The postinst file is a part of the &quot;control&quot; section of a Debian archive file.","Note: This file should be executable.","You can use the following sample of postinst script:","#!/bin/bash","&nbsp;","set -e","&nbsp;","case &quot;$1&quot; in"," &nbsp; configure)"," &nbsp;  &nbsp; /opt/psa/admin/bin/skinmng --register --installdir=my_skin  --name='My Skin'"," &nbsp;  &nbsp; "," &nbsp; ;;"," &nbsp; abort-upgrade|abort-remove|abort-deconfigure)"," &nbsp;  &nbsp; echo &quot;$1&quot;","    ;;"," &nbsp; *)"," &nbsp;  &nbsp; echo &quot;postinst called with unknown argument \\`\\$1'&quot; &gt;&amp;2"," &nbsp;  &nbsp; exit 0"," &nbsp; ;;","esac","&nbsp;","Note: The --installdir parameter should be equal to the name of directory, where all skin files locate. For info on directory structure, refer to the Creating Package Structure section.","&nbsp;","postinst",
"38251.htm#o38273");
Page[39]=new Array("This file is executable script which is automatically run after a package is removed. The postrm file is a part of the &quot;control&quot; section of a Debian archive file.","Note: This file should be executable.","You can use the following sample of postrm script:","#!/bin/bash","&nbsp;","set -e","&nbsp;","case &quot;$1&quot; in"," &nbsp; remove)"," &nbsp;  &nbsp; echo &quot;!Remove&quot;"," &nbsp;  &nbsp; /opt/psa/admin/bin/skinmng --remove --installdir=my_skin"," &nbsp; ;;"," &nbsp; purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)"," &nbsp;  &nbsp; echo $1","    ;;"," &nbsp; *)"," &nbsp;  &nbsp; echo &quot;postinst called with unknown argument \\`\\$1'&quot; &gt;&amp;2"," &nbsp;  &nbsp; exit 0"," &nbsp; ;;","esac","&nbsp;","Note: The --installdir parameter should be equal to the name of directory, where all skin files locate. For info on directory structure, refer to the Creating Package Structure section.","postrm",
"38251.htm#o38274");
Page[40]=new Array("Once you have created the control files, you are ready to build the DEB package for your skin.","Note: You must have power user priveleges to build the DEB package.","To create the file my_skin.deb, execute the following command:","# dpkg -b my_skin","You should execute the command when you are on one level above the my_skin directory. The file my_skin.deb will be located in the directory from where the command was executed.","Building DEB Package",
"38254.htm");
Page[41]=new Array("To install a skin to the control panel, you need to install a skin package to Plesk.","Once the skin package is in the repository, you can apply it to the control panel. To do this, on the Server Administration page click Preferences, select your skin, and click OK.","Installing Skin",
"38598.htm");
Page[42]=new Array("Upload the custom skin DEB package to Plesk server. Execute the following command (we consider the my_skin.deb from our example):","# dpkg -i my_skin.deb","Note: You must be logged in as root to build the DEB package.","The custom skin is now installed to the control panel skins repository.","To apply it to the control panel, at the Server Administration page click Server Preferences, select your skin, and click OK.","Installing Skin DEB Package",
"38255.htm");
Page[43]=new Array("Upload the custom skin RPM package to Plesk server. Execute the following command (we consider the MySkin-0.0.1-1.noarch.rpm from our example):","# rpm -Uvh MySkin-0.0.1-1.noarch.rpm","Note: You must be logged in as root to build the DEB package.","The custom skin is now installed to the control panel skins repository.","To apply it to the control panel, at the Server Administration page click Server Preferences, select your skin, and click OK.","Installing Skin RPM Package",
"4739.htm");
var PageCount=44;
function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}
